local ent = ents.Derive("base")

function ent:setPos( x, y )
	self.x = x
	self.y = y
end

function ent:load( x, y )
	self:setPos( x, y )
	self.image = love.graphics.newImage ( "assets/images/player.png" )
	width, height = self.image:getDimensions()
	Timer.after(0.15, function() ents.remove(self.id) end)
end

function ent:update(dt)

end

function ent:draw()
	love.graphics.setColor(255,255,255,25)
	love.graphics.draw( self.image, self.x, self.y, 0, 1, 1, width/2, height/2 )
	love.graphics.setColor(255,255,255,255)
end

return ent;