menu = {}

function menu:init()
	cookie = { 
		image = love.graphics.newImage( "assets/images/catch_cookie.png" ), 
		x = ScrW/2+150,
		y = ScrH/2-2.5
	}
	credits = love.graphics.newImage( "assets/images/credits.png" )
	local into, outo, trans
	into = function()
		--Timer.tween(2, cookie, {r = 2.1}, "out-elastic", outo)
		Timer.tween(1, cookie, {y = ScrH/2+5}, "in-out-sine", outo)
	end
	outo = function()
		--Timer.tween(2, cookie, {r = 0}, "out-elastic", trans)
		Timer.tween(1, cookie, {y = ScrH/2-5}, "in-out-sine", trans)
	end
	trans = function() 
		Timer.after(1, into())
	end
	Timer.after(1, into())
end

function menu:update(dt)
end

function menu:draw()
	love.graphics.draw(bg, 0, 0, 0, 1.1, 1.1, 0, 0 )
	love.graphics.setColor(0,0,0, 100)
	love.graphics.rectangle("fill", 0, 0, ScrW, 100)
	love.graphics.rectangle("fill", 0, ScrH, ScrW, -100)
	love.graphics.setColor(255,255,255,255)
	love.graphics.draw(cookie.image, cookie.x, cookie.y, 0, 1, 1, 300, 300 )
	love.graphics.draw(credits, 5, ScrH-50, 0, 0.75)
	love.graphics.setFont(creditsFont)
	love.graphics.printf("game by Nitrous", ScrW-205, ScrH-27, 200,"right")
end

function menu:keypressed(key)
	if key == "return" then
		Venus.switch(game)
	end
end

function menu:enter()
	TEsound.playLooping("assets/sounds/welcome to osu.mp3", "bgm")
end

function menu:leave()
	TEsound.stop("bgm")
end