results = {}

local angle = 0

function results:init()
	panel = love.graphics.newImage( "assets/images/ranking-panel.png" )
	title = love.graphics.newImage( "assets/images/ranking-title.png" )
	circle = love.graphics.newImage( "assets/images/circle.png" )
	star = love.graphics.newImage( "assets/images/star.png" )
	clear = love.graphics.newImage( "assets/images/clear.png" )
	gear = love.graphics.newImage( "assets/images/gear.png" )
	combo_dis = 0
end

function results:update(dt)
	if combo_dis ~= combo then combo_dis = combo_dis + 1 end
	love.timer.sleep(0.01)
	angle = angle + dt * math.pi/2
	angle = angle % (2*math.pi)
end

function results:draw()
	love.graphics.draw(bg, 0, 0, 0, 1.1, 1.1, 0, 0 )
	love.graphics.setColor(255,255,255,100)
	love.graphics.draw(gear, 1366, 768, angle, 1, 1, 1000/2, 996/2 )
	love.graphics.draw(gear, 0, 0, angle, 1, 1, 1000/2, 996/2 )
	love.graphics.setColor(255,255,255,255)
	love.graphics.draw(panel, 1366/2, 768/2, 0, 1, 1, 622/2, 505/2 )
	love.graphics.draw(title, 1366/2, 768/2-190, 0, 1, 1, 378/2, 146/2 )
	love.graphics.setColor(255,255,255,50)
	love.graphics.draw(clear, 1366/2+5, 768/2, -0.1, 1, 1, 689/2, 294/2 )
	love.graphics.setColor(110,194,255,255)
	love.graphics.draw(circle, 400, 250, 0, 1.5)
	love.graphics.setColor(255,225,79,255)
	love.graphics.draw(star, 400, 375, 0, 1.5)
	love.graphics.setColor(255,255,255,255)
	love.graphics.setFont(numFont)
	love.graphics.print(combo_dis .. "x", 550, 275)
	love.graphics.print(score, 550, 400)
	love.graphics.setFont(defaultFont)
end

function results:keypressed(key)
	if key == "escape" then
		love.quit()
	end
	if key == "return" or "kpenter" then
		Venus.switch(menu)
	end
end

function results:enter()
end

function results:leave()
	combo = 0
	combo_dis = 0
	score = 0
	score_dis = 0
end