local glow = {}
local image = love.graphics.newImage("assets/images/missing.png")

function startFX(x,y,magn)
	table.insert(glow, {x = x, y = y, magn = magn, t = 0})
end

function drawFX()
	for k, ex in pairs(glow) do
		local sx = (ex.t/(4*ex.magn))
		local sy = (ex.t/(4*ex.magn))
		love.graphics.setColor( 255, 255, 255, 255*(1-(ex.t/(4*ex.magn))) )
		local ssx = 0.5 + (sx/2)
		local ssy = sy
		
		love.graphics.draw( image, ex.x - (256*ssx*0.5), ex.y - (256*ssy), 0, ssx, sst, 0, 0 )
	end
end

function updateFX(dt)
	for k, v in pairs(glow) do
		v.t = v.t + dt
		if v.t > 4*v.mg then
			table.remove(glow, k)
		end
	end
end