field = {}
bounds = {}

function field.init()
	if ScrW == 1024 and ScrH == 768 then
		field.setOrigin( 0, 0 )
		field.setBounds()
	elseif ScrW == 1366 and ScrH == 768 then
		field.setOrigin( 171, 0 )
		field.setBounds()
	elseif ScrW == 1360 and ScrH == 768 then
		field.setOrigin( 165, 0 )
		field.setBounds()
	end
end

function field.update(dt)
end

function field.setOrigin( x, y )
	field.x = x or 0
	field.y = y or 0
end

function field.getOrigin()
	return field.x, field.y
end

function field.setBounds()
	-- We use a 4:3 aspect ratio to not get issues between screen resolutions
	bounds.x1 = field.x
	bounds.x2 = field.x + 1024
	bounds.y1 = field.y
	bounds.y2 = field.y + 768
end

function field.showBounds()
	love.graphics.line(bounds.x1,bounds.y1,bounds.x1,bounds.y2)
	love.graphics.line(bounds.x2,bounds.y1,bounds.x2,bounds.y2)
end