timebar = {}

function timebar:init()
	timebar.image = love.graphics.newImage( "assets/images/time_bar.png" )
	timebar:setPos()
	timebar:setTime()
end

function timebar.start()
	gameTime = Timer.every(1, function() timebar.time = timebar.time - 1 end)
end

function timebar.stop()
	Timer.cancel(gameTime )
end

function timebar.update(dt)
	if timebar.time <= 0 then timebar.time = 0 end
end

function timebar:setPos(x,y)
	timebar.x = x or 0
	timebar.y = y or 0
end

function timebar:setTime(duration)
	timebar.time = duration or 102
end

function timebar:getTime()
	return timebar.time
end

function timebar:draw()
	love.graphics.draw(timebar.image, timebar.x, timebar.y)
	love.graphics.setColor(96, 255, 115)
	love.graphics.rectangle("fill", timebar.x+11,timebar.y+16, timebar.time*6.3, 3)
	love.graphics.setColor(255,255,255)
end